Module java.rmi
Package java.rmi.server

## Class ExportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.server.ExportException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SocketSecurityException

    public class ExportException
    extends RemoteException

An `ExportException` is a `RemoteException` thrown if an attempt to export a remote object fails. A remote object is exported via the constructors and `exportObject` methods of `java.rmi.server.UnicastRemoteObject` and `java.rmi.activation.Activatable`.

Since:
  1.1
See Also:
  `UnicastRemoteObject`, `Activatable`, Serialized Form

### Field Summary

### Fields inherited from class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
Constructor and Description
`ExportException(String s)` Constructs an `ExportException` with the specified detail message.
`ExportException(String s, Exception ex)` Constructs an `ExportException` with the specified detail message and nested exception.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.rmi.RemoteException

`getCause, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### ExportException

    public ExportException(String s)

Constructs an `ExportException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.1

#### ExportException

    public ExportException(String s,
                           Exception ex)

Constructs an `ExportException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  1.1